<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [has4SData](./bitburner.stock.has4sdata.md)

## Stock.has4SData() method

Returns true if the player has access to the 4S Data

**Signature:**

```typescript
has4SData(): boolean;
```
**Returns:**

boolean

## Remarks

RAM cost: 0.05 GB

